## fdutils 4.3

=== src/Makefile ===
# Define PIDFILE if you want to have the pid of the diskseekd stored
# somewhere on the filesystem. You'll get a (very) little shell
# script diskseek.sh that uses this to connect with the daemon
# when the disk should be cleaned by hand. In that case it's a replacement
# for diskseek. If you don't want to have this feature, don't define it.
#
DEFINES=-DPIDFILE=\"/var/run/diskseekd.pid\"

CC=gcc
OBJECTS=enh_options.o floppycontrol.o superformat.o
SOURCES=enh_options.c floppycontrol.o superformat.c
MANPAGES1=diskd.1 diskseekd.1 fdrawcmd.1 floppycontrol.1 getfdprm.1  \
makefloppies.1 superformat.1 xdfcopy.1 fdmount.1
MANPAGES4=fd.4
MANPAGES8=setfdprm.8
CFLAGS=-O4 -fno-strength-reduce -Wall $(DEFINES)
LDFLAGS=-s -N
#CFLAGS=-O4 -g -Wall $(DEFINES)
#LDFLAGS=-N

DESTDIR=
MANDIR=${DESTDIR}/usr/man
MANDIR1=$(MANDIR)/man1
MANDIR4=$(MANDIR)/man4
MANDIR8=$(MANDIR)/man8
SBIN=${DESTDIR}/usr/sbin
BIN=${DESTDIR}/usr/bin
PERM=755
SPERM=4750
#we only people in group floppy to run priviledged programs
MANPERM=644
UID	= root
GID	= floppy
INSTALL	= install

all: floppycontrol getfdprm setfdprm fdrawcmd \
superformat xdfcopy fdmount diskseekd diskd

floppycontrol.o getfdprm setfdprm: /usr/include/linux/fd.h
diskseekd.o superformat.o fdrawcmd.o: /usr/include/linux/fd.h \
	/usr/include/linux/fdreg.h

floppycontrol: enh_options.o floppycontrol.o
	${CC} $(LDFLAGS) -o floppycontrol enh_options.o floppycontrol.o

diskd: enh_options.o diskd.o
	${CC} $(LDFLAGS) -o diskd enh_options.o diskd.o

diskseekd: enh_options.o diskseekd.o
	${CC} $(LDFLAGS) -o diskseekd enh_options.o diskseekd.o

diskseek: diskseekd
	ln -s diskseekd diskseek

superformat: message_seen enh_options.o superformat.o
	${CC} $(LDFLAGS) -o superformat enh_options.o superformat.o

fdrawcmd: fdrawcmd.o
	${CC} $(LDFLAGS) -o fdrawcmd fdrawcmd.o

getfdprm: getfdprm.o
	${CC} $(LDFLAGS) -o getfdprm getfdprm.o

setfdprm: setfdprm.c
	${CC} $(LDFLAGS) $(CFLAGS) -o setfdprm setfdprm.c

clean:
	-rm -f *~ *.orig *.o a.out core 2>/dev/null

spotless:	clean
	-rm -f floppycontrol superformat getfdprm fdrawcmd diskseekd diskd \
	diskseek diskd_old setfdprm xdfcopy fdmount 2>/dev/null

message_seen:
	@cat message
	@read a
	@touch message_seen

install: install.bin install.man
	@grep -q '^floppy:' /etc/group \
	    || echo 'Add a group "floppy" to /etc/group.'

install.bin: all
	install -c -m $(PERM) -o $(UID) -g $(GID) MAKEFLOPPIES $(SBIN)
	install -c -s -m $(PERM) -o $(UID) -g $(GID) floppycontrol $(BIN)
	install -c -s -m $(PERM) -o $(UID) -g $(GID) getfdprm $(BIN)
	install -c -s -m $(PERM) -o $(UID) -g $(GID) setfdprm $(BIN)
	install -c -s -m $(PERM) -o $(UID) -g $(GID) fdrawcmd $(BIN)
	install -c -s -m $(PERM) -o $(UID) -g $(GID) superformat $(BIN)
	install -c -s -m $(PERM) -o $(UID) -g $(GID) xdfcopy $(BIN)
	install -c -s -m $(SPERM) -o $(UID) -g $(GID) fdmount $(BIN)
	install -c -s -m $(SPERM) -o $(UID) -g $(GID) fdmount $(BIN)/fdumount
	( cd $(BIN); \
	ln -sf xdfcopy $(BIN)/xdfformat; \
	ln -sf fdmount $(BIN)/fdumount; \
	ln -sf fdmount $(BIN)/fdlist; \
	ln -sf fdmount $(BIN)/fdmountd )

install.man:
	install -c -m $(MANPERM) -o $(UID) -g $(GID) $(MANPAGES1) $(MANDIR1)
	install -c -m $(MANPERM) -o $(UID) -g $(GID) $(MANPAGES4) $(MANDIR4)
	install -c -m $(MANPERM) -o $(UID) -g $(GID) $(MANPAGES8) $(MANDIR8)
	( cd $(MANDIR1); \
	ln -sf fdmount.1 $(MANDIR1)/fdumount.1; \
	ln -sf fdmount.1 $(MANDIR1)/fdlist.1; \
	ln -sf fdmount.1 $(MANDIR1)/fdmountd.1; \
	ln -sf xdfcopy.1 $(MANDIR1)/xdfformat.1 )

install.zman:
	for i in $(MANPAGES1); do gzip < $$i >_; install -c -m $(MANPERM) -o $(UID) -g $(GID) _ $(MANDIR1).Z/$$i; done
	for i in $(MANPAGES4); do gzip < $$i >_; install -c -m $(MANPERM) -o $(UID) -g $(GID) _ $(MANDIR4).Z/$$i; done
	for i in $(MANPAGES8); do gzip < $$i >_; install -c -m $(MANPERM) -o $(UID) -g $(GID) _ $(MANDIR8).Z/$$i; done

## fdutils 4.3-5

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,12 @@
 # when the disk should be cleaned by hand. In that case it's a replacement
 # for diskseek. If you don't want to have this feature, don't define it.
 #
-DEFINES=-DPIDFILE=\"/var/run/diskseekd.pid\"
+PID=-DPIDFILE=\"/var/run/diskseekd.pid\"
+#
+# If you don't like everyone accessing fdmount define this
+#
+FLOP=-DFLOPPY_ONLY
+DEFINES=$(PID) $(FLOP)
 
 CC=gcc
 OBJECTS=enh_options.o floppycontrol.o superformat.o
@@ -89,22 +94,22 @@
 	install -c -s -m $(PERM) -o $(UID) -g $(GID) superformat $(BIN)
 	install -c -s -m $(PERM) -o $(UID) -g $(GID) xdfcopy $(BIN)
 	install -c -s -m $(SPERM) -o $(UID) -g $(GID) fdmount $(BIN)
-	install -c -s -m $(SPERM) -o $(UID) -g $(GID) fdmount $(BIN)/fdumount
+#	install -c -s -m $(SPERM) -o $(UID) -g $(GID) fdmount $(BIN)/fdumount
 	( cd $(BIN); \
-	ln -sf xdfcopy $(BIN)/xdfformat; \
-	ln -sf fdmount $(BIN)/fdumount; \
-	ln -sf fdmount $(BIN)/fdlist; \
-	ln -sf fdmount $(BIN)/fdmountd )
+	ln -sf xdfcopy xdfformat; \
+	ln -sf fdmount fdumount; \
+	ln -sf fdmount fdlist; \
+	ln -sf fdmount fdmountd )
 
 install.man:
 	install -c -m $(MANPERM) -o $(UID) -g $(GID) $(MANPAGES1) $(MANDIR1)
 	install -c -m $(MANPERM) -o $(UID) -g $(GID) $(MANPAGES4) $(MANDIR4)
 	install -c -m $(MANPERM) -o $(UID) -g $(GID) $(MANPAGES8) $(MANDIR8)
 	( cd $(MANDIR1); \
-	ln -sf fdmount.1 $(MANDIR1)/fdumount.1; \
-	ln -sf fdmount.1 $(MANDIR1)/fdlist.1; \
-	ln -sf fdmount.1 $(MANDIR1)/fdmountd.1; \
-	ln -sf xdfcopy.1 $(MANDIR1)/xdfformat.1 )
+	ln -sf fdmount.1 fdumount.1; \
+	ln -sf fdmount.1 fdlist.1; \
+	ln -sf fdmount.1 fdmountd.1; \
+	ln -sf xdfcopy.1 xdfformat.1 )
 
 install.zman:
 	for i in $(MANPAGES1); do gzip < $$i >_; install -c -m $(MANPERM) -o $(UID) -g $(GID) _ $(MANDIR1).Z/$$i; done

## fdutils 5.5-20060227

=== debian/changelog ===
fdutils (5.5-20060227-8) unstable; urgency=medium

  [ Ondřej Nový <onovy@debian.org> ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Andreas Henriksson <andreas@fatal.se> ]
  * Add debian/config-ftbfs.patch (Closes: #916065)

  [ Matteo Cypriani ]
  * Bumped Standards-Version to 4.3.0 (no changes needed)
  * Bumped compat-level to debhelper 12 (with --no-parallel)
  * d/rules: hardening is now enabled
  * Added lintian-overrides files
  * d/control: secure Homepage URI
  * d/watch: fixed broken mirror, updated to version 4
  * d/README.Debian: proof-read and reformatted
  * Patches:
    + dont_strip_binaries.patch: fixed a typo in the header
    + documentation-spelling_errors.patch: a few more errors fixed
  * d/config: dropped support for fdutils 5.2

 -- Matteo Cypriani <mcy@lm7.fr>  Sat, 19 Jan 2019 15:45:30 +0100

fdutils (5.5-20060227-7) unstable; urgency=low

  * Switch to debhelper 9
  * Bump Standards-Version to 3.9.5
  * Update debian/copyright (Format, License and dates)
  * debian/control: use canonic VCS URIs
  * Patches:
    + help_messages.patch: add related bug number
    + Add remove_texi2html_dependency.patch to use makeinfo instead of
      the obsolete texi2html to generate HTML pages (fixes lintian error
      build-depends-on-obsolete-package)
    + Add floppymeter-makefile_typo.patch (fixes lintian warning
      hardening-no-relro)
    + Add documentation-faq_cleanup.patch (fixes lintian error
      privacy-breach-w3c-valid-html and warning privacy-breach-generic)

 -- Matteo Cypriani <mcy@lm7.fr>  Fri, 09 May 2014 00:24:48 -0400

fdutils (5.5-20060227-6) unstable; urgency=low

  [ Matteo Cypriani ]
  * Switch to debhelper 8.0.0~
  * Rebuild architectures' list (exclude arm*, mips* and some others).
  * Add Last-Update field to all patches.
  * Fix spelling-error-in-manpage "allows one to".
  * Add help_messages.patch, that contains several fixes related to the usage
    and help messages:
    - Do not print "Type <program> --help to get a more complete help"
      any more when invoking program with --help or -h.
    - floppymeter, floppycontrol, diskseekd, diskd: usage messages fixed
      to be consistent with the manpages.
    - superformat: print the usage short message along with the options'
      details when invoking with --help or -h (Closes: #88297).
    - fdlist, fdmount, fdumount, fdmountd: fixed usage printing when
      invoking with --help or -h.

  [ Thomas Preud'homme ]
  * Use dh-autoreconf to handle the autoreconf.
  * Comment out DH_VERBOSE and DH_OPTIONS.
  * Add dont_strip_binaries.patch: don't strip files with nostrip set in
    DEB_BUILD_OPTION (Closes: #436826).

 -- Matteo Cypriani <mcy@lm7.fr>  Wed, 11 Jan 2012 14:37:17 +0100

fdutils (5.5-20060227-5) unstable; urgency=low

  * Adoption (Closes: #565466).
  * Bump Standards-Version to 3.9.2.0.
  * Switch to 3.0 (quilt) source format (follow DEP3).
  * Switch to debhelper 7.0.50~
    - Update rules to use dh.
    - Add DESTDIR support in makefiles.
    - Add debian/fdutils.manpages.
    - Add debian/clean.
    - Add debian/install.
    - Add debian/fdutils.info.
  * Convert debian/copyright to DEP5 format.
  * Add automake to Build-Depends.
  * Update Homepage in debian/control.
  * Doc spell-check (Closes: #395428, #525257).
  * Change all occurrences to the old file /etc/fdprm to /etc/mediaprm
    (Closes: #519224).
  * Fix architecture list (fdutils is Linux specific).
  * Fix lintian error info-document-missing-dir-section.
  * Fix lintian warning manpage-has-errors-from-man.
  * Fix lintian minor warning hyphen-used-as-minus-sign.
  * Delete useless debian/fdutils.lintian-overrides.
  * Update debian/dirs.
  * [fdmount] Update Linux 2.5.999 patch (becomes Linux 2.6 patch).
  * [superformat] Fix --verify_later (Closes: #331488).
  * [superformat] Document --print-drive-deviation (Closes: #331491).
  * [superformat] Document better --print-drive-deviation (Closes: #331489).
  * [MAKEFLOPPIES] Fix usage printing (Closes: #275877).
  * Media description in manpages (Closes: #282014).
  * Add Brazilian Portuguese translation for debconf (Closes: #610406).
  * Add Danish translation for debconf (Closes: #623083).

 -- Matteo Cypriani <mcy@lm7.fr>  Thu, 05 May 2011 16:09:37 +0200

fdutils (5.5-20060227-4) unstable; urgency=low

  * QA upload.
  * Maintainer set to Debian QA Group <packages@qa.debian.org>
  * Fix build-depends-on-obsolete-package
    tetex-bin replaced by texlive as build-dependency
    Closes: 562365
  * Fix out-of-date-standards-version
  * DH level compatibility is 7
  * Fix dh-clean-k-is-deprecated
  * Fix outdated-autotools-helper-file
  * Fix maintainer-script-ignores-errors
  * Fix copyright-refers-to-symlink-license
  * Fix missing-dependency-on-install-info
  * Fix install-info-used-in-maintainer-script

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 16 Jan 2010 10:35:39 +1100

fdutils (5.5-20060227-3) unstable; urgency=low

  [ Anibal Monsalve Salazar ]

  * Standards-Version is 3.8.0

  [ Christian Perrier ]

  * Fix pending l10n bugs. Debconf translations:
    - Swedish. Closes: #491764
    - Dutch. Closes: #501625

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 09 Oct 2008 20:12:56 +1100

fdutils (5.5-20060227-2) unstable; urgency=low

  [ Anibal Monsalve Salazar ]

  * ACKed NMU. Closes: #402236, #408214, #412305
  * Bumped Standards-Version to 3.7.3
  * Fixed the following lintian messages:
    - fdutils source: debian-rules-ignores-make-clean-error line 39
    - fdutils source: out-of-date-standards-version 3.7.2 (current is 3.7.3)

  [ Christian Perrier ]

  * This upload fixes pending l10n issues
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #459225
  * [Debconf translation updates]
    - Galician. Closes: #459987
    - Vietnamese. Closes: #460035


=== debian/control ===
Source: fdutils
Section: utils
Priority: optional
Maintainer: Matteo Cypriani <mcy@lm7.fr>
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 12), autoconf, automake,
  flex, texlive, texinfo, po-debconf
Homepage: https://fdutils.linux.lu/
Vcs-Git: https://salsa.debian.org/debian/fdutils.git
Vcs-Browser: https://salsa.debian.org/debian/fdutils

Package: fdutils
Architecture: alpha amd64 hppa ia64 i386 m68k powerpc powerpcspe ppc64 sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends},
  dpkg (>= 1.15.4) | install-info, debianutils (>= 1.7)
Recommends: mtools (>= 3.8-1)
Replaces: miscutils, manpages (<< 1.11-3)
Description: Linux floppy utilities
 This package contains utilities for formatting extra capacity
 disks, automatic floppy disk mounting and unmounting, etc.
 .
 The package includes the following items:
 .
  - superformat: formats high capacity disks (up to 1992k
    for high density disks or up to 3984k for extra density
     disks);
  - fdmount: automatically mounts/unmounts disks when they are
    inserted/removed;
  - xdfcopy: formats, reads and writes OS/2's XDF disks;
  - MAKEFLOPPIES: creates the floppy devices in /dev;
  - getfdprm: prints the current disk geometry (number of
    sectors, track and heads etc.);
  - setfdprm: sets the current disk geometry;
  - fdrawcmd: sends raw commands to the floppy driver;
  - floppycontrol: configures the floppy driver;
  - general documentation about the floppy driver.
 .
 Note that these utilities do not work for USB floppy drives, because
 these do not allow direct access to the floppy controller.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_clean:
	dh_auto_clean
	[ ! -f src/Makefile ] || $(MAKE) -C src spotless

override_dh_auto_build:
	dh_auto_build -- all html

override_dh_auto_install:
	dh_auto_install
	( cd debian/fdutils && \
		mv usr/bin/MAKEFLOPPIES usr/sbin )

override_dh_installman:
	dh_installman
	( cd debian/fdutils/usr/share/man && \
		mv man1/makefloppies.1 man8/MAKEFLOPPIES.8 )

=== debian/watch ===
version=4
opts="dversionmangle=s/-(\d*)//" \
  https://fdutils.linux.lu/download.html \
  @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## fdutils 5.6

=== debian/changelog ===
fdutils (5.6-5) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2 (no changes needed).
  * d/copyright: Fixed old-fsf-address-in-copyright-file.
  * documentation-typos.patch: Added Origin field.
  * cross-texi-linearize.patch: Updated to AX_PROG_CC_FOR_BUILD.
  * Fixed reproducible build (Closes: #1104680).
    + Dropped documentation-reproducible_build.patch.

 -- Matteo Cypriani <mcy@lm7.fr>  Sat, 10 May 2025 13:59:51 +0200

fdutils (5.6-4) unstable; urgency=medium

  [ Remus-Gabriel Chelu ]
  * Added Romanian debconf template. (Closes: #1031883)

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 27 Feb 2023 18:45:04 +0100

fdutils (5.6-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable).
    (Closes: #1013690)

  [ Vagrant Cascadian ]
  * d/rules: export FORCE_SOURCE_DATE=1 in order for texlive to respect
    SOURCE_DATE_EPOCH when generating .dvi file (reproducible builds).
    (Closes: #995651)

  [ Matteo Cypriani ]
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Updated d/copyright.
  * Added d/upstream/metadata.
  * Lintian overrides:
    + Added upstream-metadata-missing-repository.
    + Fixed unconditional-use-of-dpkg-statoverride (added wildcard).
    + Renamed debian-watch-does-not-check-gpg-signature to
      debian-watch-does-not-check-openpgp-signature.

 -- Matteo Cypriani <mcy@lm7.fr>  Wed, 08 Feb 2023 23:50:03 +0100

fdutils (5.6-2) unstable; urgency=medium

  * Added cross-texi-linearize.patch to fix FTCBFS (Closes: #981598).
    + Build-depend on autoconf-archive.
  * Added documentation-reproducible_build.patch: prevents Fdutils.dvi from
    including the build-time date.

 -- Matteo Cypriani <mcy@lm7.fr>  Tue, 02 Feb 2021 21:08:57 +0100

fdutils (5.6-1) unstable; urgency=medium

  * Acknowledging NMU.
  * New upstream release.
    + Updated d/copyright.
    + Tweaked d/rules to keep building & installing docs.
    + Refreshed patches.
    + Added documentation-change_makefloppies_man_section.patch to change the
      section of makefloppies' manpage (this used to be done in
      documentation-typos.patch).
    + Dropped config-ftbfs.patch.
  * Bump Standards-Version to 4.5.1 (no changes needed).
  * Switch to dh-compat 13, quit using compat file.
  * d/control:
    + Added Rules-Requires-Root field.
    + Build on all Linux architectures (Closes: #941586).
  * Recoded de.po & sv.po to UTF-8.
  * d/rules:
    + Enabled verbose mode.
    + Simplified using execute_after_dh_* targets.

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 31 Jan 2021 17:07:39 +0100

fdutils (5.5-20060227-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957200)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 22 Oct 2020 22:24:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: utils
 Priority: optional
 Maintainer: Matteo Cypriani <mcy@lm7.fr>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 12), autoconf, automake,
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), autoconf, autoconf-archive, automake,
   flex, texlive, texinfo, po-debconf
+Rules-Requires-Root: binary-targets
 Homepage: https://fdutils.linux.lu/
 Vcs-Git: https://salsa.debian.org/debian/fdutils.git
 Vcs-Browser: https://salsa.debian.org/debian/fdutils
 
 Package: fdutils
-Architecture: alpha amd64 hppa ia64 i386 m68k powerpc powerpcspe ppc64 sparc sparc64
-Depends: ${shlibs:Depends}, ${misc:Depends},
-  dpkg (>= 1.15.4) | install-info, debianutils (>= 1.7)
-Recommends: mtools (>= 3.8-1)
-Replaces: miscutils, manpages (<< 1.11-3)
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: mtools
+Replaces: miscutils
 Description: Linux floppy utilities
  This package contains utilities for formatting extra capacity
  disks, automatic floppy disk mounting and unmounting, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS=-v

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Ensure pdfTeX respects SOURCE_DATE_EPOCH.
# See also:
# https://wiki.debian.org/ReproducibleBuilds/TimestampsInDviGeneratedByLaTeX
export FORCE_SOURCE_DATE = 1

%:
	dh $@ --no-parallel

execute_after_dh_auto_clean:
	[ ! -f src/Makefile ] || $(MAKE) -C src spotless

override_dh_auto_build:
	dh_auto_build -- all doc html

override_dh_auto_install:
	dh_auto_install -- install install-doc
	( cd debian/fdutils && \
		mv usr/bin/MAKEFLOPPIES usr/sbin )

execute_after_dh_installman:
	( cd debian/fdutils/usr/share/man && \
		mv man1/makefloppies.1 man8/MAKEFLOPPIES.8 )
